Retrieve a List of Elements

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
GET /profiles/{profile_id}/pages/{page_id}/elements

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

Query parameters

  • fields string

    extra information of each element on the list

  • limit number

    maximum count of the element list

  • offset number

    skip that many elements before beginning to return

Responses

  • 200 application/json

    OK

    Hide headers attribute Show headers attribute
    • Total-Count string
    Hide response attributes Show response attributes object
    • client_validation string
    • condition_value string
    • created_by string
    • created_date string
    • data_size number
    • data_type number
    • default_value string
    • description string
    • dynamic_label string
    • dynamic_value string
    • global_id string
    • high_value number
    • id number Required
    • is_action boolean
    • is_disabled boolean
    • is_encrypt boolean
    • is_hide_typing boolean
    • is_readonly boolean
    • is_required boolean
    • keyboard_type number
    • label string
    • low_value number
    • modified_by string
    • modified_date string
    • name string Required
    • optionlist_id number
    • reference_id_1 string
    • smart_tbl_search_col string
    • sort_order number
    • validation_message string
    • version number
    • weighted_score number
    • widget_type string
GET /profiles/{profile_id}/pages/{page_id}/elements
curl \
 --request GET 'https://api.iformbuilder.com/exzact/api/v80/%5Bservername%5D/profiles/self/pages/{page_id}/elements' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "id": 20483233,
    "name": "inspection_date",
    "sort_order": 0
  },
  {
    "id": 20483236,
    "name": "inspector_name",
    "sort_order": 1
  },
  {
    "id": 20483245,
    "name": "photo_of_front_of_building",
    "sort_order": 2
  },
  {
    "id": 20483248,
    "name": "comments",
    "sort_order": 3
  }
]